<div id="section-{{ section.id }}" class="site-box-container container--fullscreen video-background">

  <div class="site-box box--typo-bigger box--center-align box--column-flow box__video-background box__image-text button-true style--{{ section.settings.bg_style }} align--{{ section.settings.txt_align }}">

    <div class="site-box-content">

      <div class="content">

          {% unless section.settings.heading == blank %}
          <h2 class="title">{{ section.settings.heading | escape }}</h2>
        {% endunless %}
        
        {% unless section.settings.caption == blank %}
          <p class="caption">{{ section.settings.caption | escape }}</p>
        {% endunless %}

      

        {% unless section.settings.button == blank %}
          <a class="button with-icon {{ section.settings.bg_style }}" {% unless section.settings.link == blank %} href="{{ section.settings.link }}" {% endunless %}> {{ section.settings.button | escape }} <span class="icon" aria-hidden="true">{% include 'asset_svg' with 'arrow_icon_smallest' %}</span></a>
        {% endunless %}

      </div>

    </div>

    {% unless section.settings.bg_img == blank %}

      <span class="site-box-background with-image" aria-hidden="true">
        
        <img
          src="{{ section.settings.bg_img | img_url: '960x' }}" alt="{{ section.settings.heading | escape }}"
          srcset="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw=="
          data-srcset="{{ section.settings.bg_img | img_url: '600x' }} 480w, {{ section.settings.bg_img | img_url: '860x' }} 720w, {{ section.settings.bg_img | img_url: '1100x' }} 960w, {{ section.settings.bg_img | img_url: '1600x' }} 1440w, {{ section.settings.bg_img | img_url: '2100x' }} 1920w"
          data-sizes="auto"
          class="lazyload" />

        <noscript><span class="ll-fallback" style="background-image:url({{ section.settings.bg_img | img_url: '960x' }})"></span></noscript> 

      </span> 

    {% endunless %}

    {% unless section.settings.video_url == blank %}

<!--       <div class="site-box-video-mobile-background" data-video="{{ section.settings.video_url.id }}" aria-hidden="true">
        <video id="player-mobile-{{ section.id }}" class="player-mobile" loop autoplay>
 	      <source src="{{ section.settings.video_mobile_url}}" type="video/mp4">
	    </video>        
      </div> -->
      <div class="site-box-video-background" data-video="{{ section.settings.video_url.id }}" aria-hidden="true" style="display: none">
        <video id="player-{{ section.id }}" class="player" loop autoplay>
 	      <source src="{{ section.settings.video_url}}" type="video/mp4">
	    </video>        
      </div>
      

    {% endunless %}

  </div>

</div>

<script>
  
	// When the section becomes viewable in viewport, trigger text render
    var videoBackgroundFlag = false
  
	$('.video-background').waypoint(function() {
       if (videoBackgroundFlag) 
        	return
            
    	videoBackgroundFlag = true
        console.log('displaying text.')
    });
  
  $('#shopify-section-1559917680838').click(function() {
  		window.location = '/pages/apply'
  })
  
  $('#shopify-section-1560711402028').click(function() {
  		window.location = '/pages/about'
  })
  
//   $(function() {
    
//     var videoBackgroundFlag = false

//     $('.video-background').appear();

//     $(document.body).on('appear', '.video-background', function(e, $affected) {
//       	if (videoBackgroundFlag) 
//         	return
            
//     	videoBackgroundFlag = true
//         console.log('displaying text.')
//     });


//   });

  

</script>

{% schema %}
  {
    "name": "Background video",
    "class": "index-section mount-video-background",
    "settings": [
      {
        "type": "text",
        "id": "heading",
        "label": "Heading",
        "default": "Video title"
      },
      {
        "type": "text",
        "id": "caption",
        "label": "Caption",
        "default": "Share your brand's story"
      },
      {
        "type": "text",
        "id": "button",
        "label": "Button label"
      },
      {
        "type": "url",
        "id": "link",
        "label": "Button link"
      },
      {
        "type": "select",
        "id": "txt_align",
        "label": "Text alignment",
        "options": [
          {
            "value": "left",
            "label": "Left"
          },
          {
            "value": "center",
            "label": "Center"
          },
          {
            "value": "right",
            "label": "Right"
          }
        ],
        "default": "center"
      },
      {
        "type": "select",
        "id": "bg_style",
        "label": "Text color",
        "options": [
          {
            "value": "light",
            "label": "Dark"
          },
          {
            "value": "dark",
            "label": "Light"
          }
        ]
      },
      {
        "id": "video_url",
        "type": "text",
        "label": "Video URL",
        "default": "https://cdn.shopify.com/s/files/1/0226/7276/9096/files/Variant_Malibu.mp4?2066"
      },
	  {
        "id": "video_mobile_url",
        "type": "text",
        "label": "Video Mobile URL",
        "default": "https://cdn.shopify.com/s/files/1/0226/7276/9096/files/Hero_Mobile.m4v?2422"
      },
      {
        "type": "image_picker",
        "id": "bg_img",
        "label": "Background image",
        "info": "Shows on mobile devices, where autoplay is not available."
      }
    ],
    "presets": [{
      "name": "Video Background",
      "category": "Video"
    }]
  }
{% endschema %}